miniBoard.h File Reference
`#include "osl/book/compactBoard.h"`
`#include "osl/simpleState.h"`
`#include "boost/dynamic_bitset.hpp"`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | osl::book::OSquare
| Square, Owner: 9 bits. More...
class | osl::book::OPSquare
| Square, Owner, Promoted : 10 bits. More...
class | osl::book::MiniBoard
| More compact board than CompactBoard. More...

## Namespaces

namespace | osl
namespace | osl::book